View a markdown version of this page

ListPipelineExecutions - AWS IoT SiteWise

ListPipelineExecutions

Lists pipeline executions for a specific pipeline in a workspace. Supports filtering by state and time range. State can be combined with either startTime or endTime filters. Time range filters are grouped: use startTime filters (startTimeAfter, startTimeBefore) or endTime filters (endTimeAfter, endTimeBefore), but not both. Combining startTime and endTime filters returns an InvalidRequestException. Note: endTime filters only return executions in terminal states, as in-progress executions have no endTime.

Request Syntax

GET /workspaces/workspaceName/pipelines/pipelineName/executions?endTimeAfter=endTimeAfter&endTimeBefore=endTimeBefore&maxResults=maxResults&nextToken=nextToken&startTimeAfter=startTimeAfter&startTimeBefore=startTimeBefore&state=state HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

endTimeAfter

Inclusive lower bound on execution end time (ISO-8601). Only executions with endTime >= endTimeAfter are returned. Cannot be combined with startTimeAfter or startTimeBefore. Only matches executions in terminal states.

endTimeBefore

Exclusive upper bound on execution end time (ISO-8601). Only executions with endTime < endTimeBefore are returned. Cannot be combined with startTimeAfter or startTimeBefore. Only matches executions in terminal states.

maxResults

The maximum number of results to return per request. This is an upper bound; the actual number of results may be less. Default: 50.

Valid Range: Minimum value of 1. Maximum value of 250.

nextToken

The token to be used for the next set of paginated results.

Length Constraints: Minimum length of 1. Maximum length of 4096.

pipelineName

The name of the pipeline.

Length Constraints: Minimum length of 1. Maximum length of 64.

Pattern: [a-zA-Z0-9_-]+

Required: Yes

startTimeAfter

Inclusive lower bound on execution start time (ISO-8601). Only executions with startTime >= startTimeAfter are returned. Cannot be combined with endTimeAfter or endTimeBefore.

startTimeBefore

Exclusive upper bound on execution start time (ISO-8601). Only executions with startTime < startTimeBefore are returned. Cannot be combined with endTimeAfter or endTimeBefore.

state

Filter by execution state. If not specified, executions in all states are returned.

Valid Values: NOT_STARTED | RUNNING | SUCCEEDED | FAILED | CANCELLING | CANCELLED

workspaceName

The name of the workspace.

Length Constraints: Minimum length of 1. Maximum length of 64.

Pattern: ^[a-zA-Z0-9_-]+$

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "nextToken": "string", "pipelineExecutionSummaries": [ { "endTime": number, "executionPriority": number, "pipelineExecutionId": "string", "pipelineVersion": "string", "startTime": number, "status": { "state": "string", "stateDetails": { "code": "string", "details": [ { "code": "string", "message": "string" } ], "message": "string" } } } ] }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

nextToken

The token to be used for the next set of paginated results.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 4096.

pipelineExecutionSummaries

A list that summarizes each pipeline execution.

Type: Array of PipelineExecutionSummary objects

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

Access is denied.

HTTP Status Code: 403

InternalFailureException

AWS IoT SiteWise can't process your request right now. Try again later.

HTTP Status Code: 500

InvalidRequestException

The request isn't valid. This can occur if your request contains malformed JSON or unsupported characters. Check your request and try again.

HTTP Status Code: 400

ResourceNotFoundException

The requested resource can't be found.

HTTP Status Code: 404

ThrottlingException

Your request exceeded a rate limit. For example, you might have exceeded the number of AWS IoT SiteWise assets that can be created per second, the allowed number of messages per second, and so on.

For more information, see Quotas in the AWS IoT SiteWise User Guide.

HTTP Status Code: 429

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: